OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESBasic

# IGESBasic_SingularSubfigure Class Reference

defines SingularSubfigure, Type <408> Form <0>
in package IGESBasic
Defines the occurrence of a single instance of the
defined Subfigure.

`#include <IGESBasic_SingularSubfigure.hxx>`

Inheritance diagram for IGESBasic_SingularSubfigure:

[legend]

## Public Member Functions
Standard_EXPORT | IGESBasic_SingularSubfigure ()
Standard_EXPORT void | Init (const Handle(IGESBasic_SubfigureDef)&aSubfigureDef, const gp_XYZ &aTranslation, const Standard_Boolean hasScale, const Standard_Real aScale)
| This method is used to set the fields of the class SingularSubfigure - aSubfigureDef : the Subfigure Definition entity - aTranslation : used to store the X,Y,Z coord - hasScale : Indicates the presence of scale factor - aScale : Used to store the scale factor .
Standard_EXPORT Handle_IGESBasic_SubfigureDef | Subfigure () const
| returns the subfigure definition entity
Standard_EXPORT gp_XYZ | Translation () const
| returns the X, Y, Z coordinates
Standard_EXPORT Standard_Real | ScaleFactor () const
| returns the scale factor if hasScaleFactor is False, returns 1.0 (default)
Standard_EXPORT Standard_Boolean | HasScaleFactor () const
| returns a boolean indicating whether scale factor is present or not
Standard_EXPORT gp_XYZ | TransformedTranslation () const
| returns the Translation after transformation
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESBasic_SubfigureDef | theSubfigureDef
gp_XYZ | theTranslation
Standard_Real | theScaleFactor
Standard_Boolean | hasScaleFactor

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_SingularSubfigure::IGESBasic_SingularSubfigure | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_SingularSubfigure::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESBasic_SingularSubfigure::HasScaleFactor | ( |  | ) | const

Standard_EXPORT void IGESBasic_SingularSubfigure::Init | ( | const Handle(IGESBasic_SubfigureDef)& | aSubfigureDef,
|  | const gp_XYZ & | aTranslation,
|  | const Standard_Boolean | hasScale,
|  | const Standard_Real | aScale
| ) |

Standard_EXPORT Standard_Real IGESBasic_SingularSubfigure::ScaleFactor | ( |  | ) | const

Standard_EXPORT Handle_IGESBasic_SubfigureDef IGESBasic_SingularSubfigure::Subfigure | ( |  | ) | const

Standard_EXPORT gp_XYZ IGESBasic_SingularSubfigure::TransformedTranslation | ( |  | ) | const

Standard_EXPORT gp_XYZ IGESBasic_SingularSubfigure::Translation | ( |  | ) | const

## Field Documentation

Standard_Boolean IGESBasic_SingularSubfigure::hasScaleFactor`[private]`

Standard_Real IGESBasic_SingularSubfigure::theScaleFactor`[private]`

Handle_IGESBasic_SubfigureDef IGESBasic_SingularSubfigure::theSubfigureDef`[private]`

gp_XYZ IGESBasic_SingularSubfigure::theTranslation`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_SingularSubfigure.hxx